%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(0)')
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name: 		PythonCard
Version:	0.8.2
Release:	18%{?dist}
Summary:	PythonCard GUI construction toolkit 

Source:		http://dl.sf.net/pythoncard/%{name}-%{version}.tar.gz
# Fix doc syntax. Otherwise package does not build. Upstreamable:
Patch0:		PythonCard-docfix.patch
URL:		http://pythoncard.sourceforge.net/

Group:		Development/Libraries
License:	BSD

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel, wxPython-devel
Requires:	wxPython
BuildArch:	noarch

%description
PythonCard is a GUI construction kit for building cross-platform desktop
applications on Windows, Mac OS X, and Linux, using the Python language.

%prep
%setup -q
%patch0 -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build 

%install
rm -rf $RPM_BUILD_ROOT
env CFLAGS="$RPM_OPT_FLAGS" python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_pkgdocdir}
mv $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/samples $RPM_BUILD_ROOT/%{_pkgdocdir}/
mv $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/docs $RPM_BUILD_ROOT/%{_pkgdocdir}/
mv $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/tools $RPM_BUILD_ROOT/%{_pkgdocdir}/examples
mv *.txt $RPM_BUILD_ROOT/%{_pkgdocdir}/
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/%{name}/build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%exclude %{_bindir}/install-pythoncard.*
%if 0%{?fedora} >= 9
%{python_sitelib}/*egg-info
%endif
%{python_sitelib}/%{name}
%{_pkgdocdir}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 13 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.8.2-13
- Install docs to %%{_pkgdocdir} where available (#994054).

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 02 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.8.2-7
- Fix documentation syntax

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8.2-3
- Rebuild for Python 2.6

* Wed Oct 29 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.8.2-2
- use python_sitelib not sitearch (BZ#464959)
- don't package the build dir

* Mon May 26 2008 Marek Mahut <mmahut@fedoraproject.org> - 0.8.2-1
- Initial build
